package org.springblade.pson.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 用户画像-埋点用户属性
 * </p>
 *
 * @author zbc
 * @since 2021-04-16
 */
@Data
@Accessors(chain = true)
public class PsonUserAttr implements Serializable {

    private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键id")
	@TableId(value = "id", type = IdType.AUTO)
    private Integer id;

	@ApiModelProperty("项目id")
    private Integer projectId;

	@ApiModelProperty("用户属性")
    private String userAttr;

	@ApiModelProperty("属性名称")
    private String attrName;

	@ApiModelProperty("单位")
    private String unit;


}
