package org.springblade.sms.kafka;

/**
 * kafka topic
 *
 * @Author：william
 * @Date：2022/5/26
 */
public enum KafkaTopic {
	sms(0, "sms"), // 智慧营销
	email(1, "email"), // 邮件发送
	sms_status(2, "sms_status"), // 短信状态查询
	active_spid(3, "active_spid");// 产品促活短信

	private Integer value;
	private String message;

	private KafkaTopic(int value, String message) {
		this.value = value;
		this.message = message;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
