/**
 * 
 */
package org.springblade.useranalysis.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class UserGroupAnalysisRequest implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户人群ID[必填项]")
	private String groupId;

	@ApiModelProperty("二级标签分类ID[必填项]")
	private String level2Id;
	
	@ApiModelProperty("开始日期(yyyyMM)")
	private String startDate;
	
	@ApiModelProperty("结束日期(yyyyMM)")
	private String endDate;
}
