/**
 * 
 */
package org.springblade.useranalysis.dto.param;

import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ParamUnit {

	/**
	 * 前端显示日期列表
	 * 日：2021-09-12 周一
	 * 周：2021-09-12～2021-09-21
	 * 月：2021-09-12～2021-09-21
	 */
	private List<String> labelList;
	
	/**
	 * 开始日期列表
	 */
	private List<String> dateStartList;
}
