package org.springblade.useranalysis.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

/**
 * 属性过滤列表下拉菜单(AdsPropertyFilter)表实体类
 *
 * @author limeng
 * @since 2021-07-06 16:16:21
 */
@SuppressWarnings("serial")
@Data
public class AdsPropertyFilter extends Model<AdsPropertyFilter> {
    @TableField("level_2_name")
    private String level_2_name;
    @TableField("level_2_id")
    private String level_2_id;
    //标签名称
    private String tagName;
    //标签id
    private String tagId;
    //属性code
    private String propertyTypeCode;


}
