/**
 * 
 */
package org.springblade.useranalysis.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author wookvn
 *
 */
public enum UserGroupProcessStatus {

	waiting(0, "待处理"),
	
	queueing(1, "队列中"),
	
	processing(2, "处理中"),
	
	success(3, "已完成"),
	
	failure(-1, "处理失败");
	
	@EnumValue
	private Integer value;
	private String message;
	/**
	 * @param value
	 * @param message
	 */
	private UserGroupProcessStatus(Integer value, String message) {
		this.value = value;
		this.message = message;
	}
	
	
	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}
	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}
}
