package org.springblade.useranalysis.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * @author cyc
 *
 */
public enum UserGroupUseStatus {


	waiting(0, "待处理"),

	processing(1, "处理中"),

	success(2, "已完成"),

	failure(3, "处理失败");


	@EnumValue
	private Integer value;
	private String message;
	/**
	 * @param value
	 * @param message
	 */
	private UserGroupUseStatus(Integer value, String message) {
		this.value = value;
		this.message = message;
	}


	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}
	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}
}
