package org.springblade.useranalysis.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springblade.useranalysis.entity.AdsUserprofileTag;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 标签表(AdsUserprofileTag)表数据库访问层
 *
 * @author limeng
 * @since 2021-07-06 16:53:50
 */

public interface AdsUserprofileTagMapper extends BaseMapper<AdsUserprofileTag> {


    /**
     * 用户标签下拉菜单 标签筛选用户标签下拉1 2 3级菜单
     */
	@InterceptorIgnore(tenantLine = "1")
    List<JSONObject> dropDownList1(@Param("level1") String level1);
	@InterceptorIgnore(tenantLine = "1")
    List<JSONObject> dropDownList2(@Param("level1") String level1, @Param("level2") String level2);


}
