package org.springblade.useranalysis.service;


import java.util.List;
import java.util.Map;

import org.springblade.useranalysis.entity.AdsEventList;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 行为事件下拉菜单*/




public interface EventListService extends IService<AdsEventList> {


/**
     *  行为事件下拉菜单
     */

    public List<Map<String, Object>> eventList();


/**
     *  细分维度[设备属性/用户属性] 下拉菜单*/


    public List<Map<String, Object>> attributeList();


/**
     *  用户标签下拉菜单 标签筛选用户标签下拉1 2 3级菜单*/


    public JSONObject dropDownList1(String level1);


    public JSONObject dropDownList2(String level1, String level2);

/**
     *  用户行为分析 下拉菜单过滤条件筛选Key Value*/


    public JSONObject dropDownListKey();


    public JSONObject dropDownListValue(String level_2_name);


    public JSONObject dropDownList();

}
