package org.springblade.useranalysis.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.useranalysis.mapper.AdsAnalysisRemainmodelMapper;
import org.springblade.useranalysis.entity.AdsAnalysisRemainmodel;
import org.springblade.useranalysis.service.AdsAnalysisRemainmodelService;
import org.springframework.stereotype.Service;

/**
 * 用户行为分析-留存分析查询保存(AdsAnalysisRemainmodel)表服务实现类
 *
 * @author limeng
 * @since 2021-07-06 13:15:12
 */
@Service("adsAnalysisRemainmodelService")
@DS("user_analysis_db")
public class AdsAnalysisRemainmodelServiceImpl extends ServiceImpl<AdsAnalysisRemainmodelMapper, AdsAnalysisRemainmodel> implements AdsAnalysisRemainmodelService {

}
