package org.springblade.pson.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@Accessors(chain = true)
public class EventVO {

	@ApiModelProperty("主键ID")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;

	@ApiModelProperty("事件名")
	private String name;

	@ApiModelProperty("事件code")
	private String code;

	@ApiModelProperty("可埋点平台")
	private String platform;

	@ApiModelProperty("事件描述")
	private String descMessage;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty("创建时间")
	private Long sort;
}
