package org.springblade.sms.bean.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

import org.springblade.sms.bean.dto.AdsMarketTaskInfo;
import org.springblade.sms.bean.dto.AdsMarketTaskInfoChecker;

/**
 * 短信任务创建参数类
 *
 * @Author：william
 * @Date：2022/6/8
 */
@Data
public class TaskAddParam implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("任务内容")
	private AdsMarketTaskInfo taskInfo;

	@ApiModelProperty("审核人列表")
	private List<AdsMarketTaskInfoChecker> checkerList;
}
