package org.springblade.sms.enums;

/**
 * 审核状态
 *
 * @Author：william
 * @Date：2022/5/26
 */
public enum CheckStatus {
	waiting(0, "待审核"), 
	
	ok(1, "审核通过"),
	
	no(-1, "审核未通过");

	private Integer value;
	private String message;

	private CheckStatus(int value, String message) {
		this.value = value;
		this.message = message;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
	public static CheckStatus reslove(Integer value) {
		CheckStatus[] values = CheckStatus.values();
		for (CheckStatus val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}

}
