package org.springblade.sms.enums;

/**
 * 人群种类
 * 
 * @author William
 * @date 2022年11月11日 上午12:46:51
 */
public enum GroupSort {

	dymanic(1, "动态人群"), 
	
	fixed(2, "静态人群");

	private Integer value;
	private String message;

	private GroupSort(int value, String message) {
		this.value = value;
		this.message = message;
	}

	/**
	 * @return the value
	 */
	public Integer getValue() {
		return value;
	}

	/**
	 * @param value the value to set
	 */
	public void setValue(Integer value) {
		this.value = value;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	public static GroupSort reslove(Integer value) {
		GroupSort[] values = GroupSort.values();
		for (GroupSort val : values) {
			if (value != null && val.getValue().intValue() == value) {
				return val;
			}
		}
		return null;
	}
}
