package org.springblade.sms.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Select;
import org.springblade.sms.bean.dto.AdsMarketTaskInfo;
import org.springblade.sms.bean.vo.MarketTaskVo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AdsMarketTaskInfoMapper extends BaseMapper<AdsMarketTaskInfo> {
	@Select("select sort_no from ads_market_task_info t group by t.sort_no")
	public List<String> getSortNoList();

	@Select("select * from ads_market_task_info t ${sqlSnippet}")
	public List<MarketTaskVo> getPageList(String sqlSnippet);

	@Select("select count(1) from ads_market_task_info t ${sqlSnippet}")
	public int getPageListCount(String sqlSnippet);
}
