package org.springblade.useranalysis.common.utils;

import java.security.MessageDigest;

/**
 * @author Administrator
 *
 */
public class HashKit {
	public static String sha1(String source) {
		char hexDigits[] = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f' };
		try {
			MessageDigest mdTemp = MessageDigest.getInstance("SHA1");
			mdTemp.update(source.getBytes("UTF-8"));
			byte[] md = mdTemp.digest();
			int j = md.length;
			char buf[] = new char[j * 2];
			int k = 0;
			for (int i = 0; i < j; i++) {
				byte byte0 = md[i];
				buf[k++] = hexDigits[byte0 >>> 4 & 0xf];
				buf[k++] = hexDigits[byte0 & 0xf];
			}
			return new String(buf).toUpperCase();
		} catch (Exception e) {
			return null;
		}
	}

	public static void main(String[] args) {
		System.out.println(sha1("18636697972"));
	}
}
