/**
 * 
 */
package org.springblade.useranalysis.dto;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class EventActivity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "活动ID")
	private Long id;
	
	@ApiModelProperty(value = "活动主题")
    private String title;

	@ApiModelProperty(value = "活动时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
    private Date activityTime;

	@ApiModelProperty(value = "活动结束时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date activityEndTime;

}
