/**
 * 
 */
package org.springblade.useranalysis.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.useranalysis.enums.EventFunction;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class EventFilterCondition implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;
	
	private String name;
	
	private Integer isCommon;
	
	//数据类型暂无用
//	private EventDataType dataType;
	
	private String field;
	
	private EventFunction function;
	
	private List<Object> values;
	
}
