/**
 * 
 */
package org.springblade.useranalysis.dto.param;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class ParamProp implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;
	
	private String code;
	
	private boolean isCommon;
	
	private Integer datatype;
	
	private String dicTable;
	
	private String joinField;
	
	private String targetField;

	/**
	 * @param id
	 * @param code
	 * @param isCommon
	 * @param datatype
	 */
	public ParamProp(Long id, String code, boolean isCommon, Integer datatype) {
		super();
		this.id = id;
		this.code = code;
		this.isCommon = isCommon;
		this.datatype = datatype;
	}

	/**
	 * @param id
	 * @param code
	 * @param isCommon
	 * @param datatype
	 * @param dicTable
	 * @param joinField
	 * @param targetField
	 */
	public ParamProp(Long id, String code, boolean isCommon, Integer datatype, String dicTable, String joinField,
			String targetField) {
		super();
		this.id = id;
		this.code = code;
		this.isCommon = isCommon;
		this.datatype = datatype;
		this.dicTable = dicTable;
		this.joinField = joinField;
		this.targetField = targetField;
	}
	
}
