package org.springblade.useranalysis.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;


@Data
@TableName(value = "DIC_USERTAG" ,autoResultMap = true)
@ApiModel(value = "DIC_USERTAG对象", description = "用户标签码值表")
public class DicUsertagEntity implements Serializable {


	@TableId(value="id",type= IdType.AUTO)
	private Long id;
	//@TableField("tag_id")
	@NotEmpty(message = "不能为空")
	private String tagId;
	@NotEmpty(message = "不能为空")
	private String tagName;
	@TableField("level_1_id")
	@NotEmpty(message = "不能为空")
	private String level_1_Id;
	@NotEmpty(message = "不能为空")
	@TableField("level_1_Name")
	@NotEmpty(message = "不能为空")
	private String level1Name;
	@TableField("level_2_Id")
	@NotEmpty(message = "不能为空")
	private String level2Id;
	@TableField("level_2_Name")
	@NotEmpty(message = "不能为空")
	private String level2Name;
	@NotEmpty(message = "不能为空")
	private String tagType;
	@NotEmpty(message = "不能为空")
	private String developType;
	@NotEmpty(message = "不能为空")
	private String updateType;
	@NotEmpty(message = "不能为空")
	private String isOnline;
	@NotEmpty(message = "不能为空")
	private String userType;
	private String tagDesc;


}
