/**
 * 
 */
package org.springblade.useranalysis.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 *	产品维度表 - 主要用于标签中产品的三级联动
 */
@Data
public class DimProductInfo implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("订购产品标签ID")
	private String tagId;
	
	@ApiModelProperty("产品ID")
	private String spid;
	
	@ApiModelProperty("小类ID")
	private String cpid;
	
	@ApiModelProperty("产品名称")
	private String spName;
	
	@ApiModelProperty("产品短名称")
	private String shortName;
	
	@ApiModelProperty("产品编码")
	private String spCode;
	
	@ApiModelProperty("类别名称")
	private String cpName;
	
	@ApiModelProperty("大类类型")
	private String cpType;
	
	@ApiModelProperty("类型")
	private String cpType2;
	
	@ApiModelProperty("大类名称")
	private String categoryName;
	
	@ApiModelProperty("类型名称")
	private String categoryName2;
}
