package org.springblade.useranalysis.entity.clickhouse;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import java.io.Serializable;


@Data
@TableName(value = "Z_USER_TAG_LAST" ,autoResultMap = true)
@ApiModel(value = "Z_USER_TAG对象", description = "用户行为大宽表")
public class ZUserTagEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@TableField("THEMONTH_V")
	private String themonthV;
	@TableField("USERID_V")
	private String useridV;
	@TableField("THEMONTH")
	private String themonth;
	@TableField("USERID")
	private String userid;


	@TableField(value = "EVENT_CPNAME.E")
	private String eventCpnameEs;
	@TableField(value = "EVENT_CPNAME.C")
	private String eventCpnameCs;
	@TableField(value="EVENT_CPNAME.V")
	private String eventCpnameVs;
	@TableField(value="EVENT_SPNAME.E")
	private String eventSpnameEs;
	@TableField(value="EVENT_SPNAME.C")
	private String eventSpnameCs;
	@TableField(value="EVENT_SPNAME.V")
	private String eventSpnameVs;
	@TableField(value="EVENT_CATEGORYNAME.E")
	private String eventCategorynameEs;
	@TableField(value="EVENT_CATEGORYNAME.C")
	private String eventCategorynameCs;
	@TableField(value="EVENT_CATEGORYNAME.V")
	private String eventCategorynameVs;
	@TableField(value="EVENT_CHANNEL.E")
	private String eventChannelEs;
	@TableField(value="EVENT_CHANNEL.C")
	private String eventChannelCs;
	@TableField(value="EVENT_CHANNEL.V")
	private String eventChannelVs;
	@TableField(value="EVENT_ORDER_MONTH.E")
	private String eventOrderMonthEs;
	@TableField(value="EVENT_ORDER_MONTH.C")
	private String eventOrderMonthCs;
	@TableField(value="EVENT_ORDER_MONTH.V")
	private String eventOrderMonthVs;


	@TableField("DEVICE_NUMBER")
	private String deviceNumber;
	@TableField("MONTH_ID")
	private String monthId;
	@TableField("TAG_GENDER")
	private String tagGender;
	@TableField("TAG_GENDER_C")
	private String tagGenderC;
	@TableField("TAG_GENDER_V")
	private String tagGenderV;
	@TableField("TAG_PROVINCE")
	private String tagProvince;
	@TableField("TAG_PROVINCE_C")
	private String tagProvinceC;
	@TableField("TAG_PROVINCE_V")
	private String tagProvinceV;
	@TableField("TAG_NETTYPE")
	private String tagNettype;
	@TableField("TAG_NETTYPE_C")
	private String tagNettypeC;
	@TableField("TAG_NETTYPE_V")
	private String tagNettypeV;
	@TableField("TAG_AGE")
	private String tagAge;
	@TableField("TAG_AGE_C")
	private String tagAgeC;
	@TableField("TAG_AGE_V")
	private String tagAgeV;
	@TableField("TAG_INTIME")
	private String tagIntime;
	@TableField("TAG_INTIME_C")
	private String tagIntimeC;
	@TableField("TAG_INTIME_V")
	private int tagIntimeV;
	@TableField("TAG_PACKAGE")
	private String tagPackage;
	@TableField("TAG_PACKAGE_C")
	private String tagPackageC;
	@TableField("TAG_PACKAGE_V")
	private String tagPackageV;
	@TableField("TAG_PACKAGE_PIC")
	private String tagPackagePic;
	@TableField("TAG_PACKAGE_PIC_C")
	private String tagPackagePicC;
	@TableField("TAG_PACKAGE_PIC_V")
	private int TagPackagePicV;
	@TableField("EVENT_FLUX")
	private String eventFlux;
	@TableField("EVENT_FLUX_C")
	private String eventFluxC;
	@TableField("EVENT_FLUX_V")
	private String eventFluxV;
	@TableField("EVENT_CONSUM")
	private String eventConsum;
	@TableField("EVENT_CONSUM_C")
	private String eventConsumC;
	@TableField("EVENT_CONSUM_V")
	private Float eventConsumV;
	@TableField("EVENT_PHONETYPE")
	private String eventPhonetype;
	@TableField("EVENT_PHONETYPE_C")
	private String eventPhonetypeC;
	@TableField("EVENT_PHONETYPE_V")
	private String eventPhonetypeV;
	@TableField("EVENT_VIDEO_FLUX")
	private String eventVideoFlux;
	@TableField("EVENT_VIDEO_FLUX_C")
	private String eventVideoFluxC;
	@TableField("EVENT_VIDEO_FLUX_V")
	private String eventVideoFluxV;
	@TableField(value = "EVENT_CANCEL_PROD.E")


	private String eventCancelProdEs;
	@TableField(value = "EVENT_CANCEL_PROD.C")
	private String eventCancelProdCs;
	@TableField(value = "EVENT_CANCEL_PROD.V")
	private String eventCancelProdVs;


	@TableField("MONTH_ID_APP")
	private String monthIdApp;
	@TableField("DEVICE_NUMBER_APP")
	private String deviceNumberApp;


@TableField(value = "EVENT_APP_USE.E")
	private String eventAppUseEs;
	@TableField(value = "EVENT_APP_USE.C")
	private String eventAppUseCs;
	@TableField(value = "EVENT_APP_USE.V")
	private String eventAppUseVs;


}
