package org.springblade.useranalysis.service;

import java.util.List;

import org.springblade.useranalysis.entity.UserGroupEntity;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 用户画像—— 用户人群列表
 */

public interface UserGroupService extends IService<UserGroupEntity> {

	/**
	 * 用户人群列表 分页展示
	 */

	public JSONObject listUsergroup(Integer pageNo, Integer pageSize);

	/**
	 * 根据人群名称进行查询
	 */
	public JSONObject searchUsergroup(String group_name);

	/**
	 * 选择人群分析维度
	 */
	public List<JSONObject> analysisDimension();

	/**
	 * 选择人群分析维度-备用 分布分析模块用
	 */
	public List<JSONObject> dimensionDistribute();

}
