package org.springblade.useranalysis.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.useranalysis.mapper.AdsAnalysisHoppermodelMapper;
import org.springblade.useranalysis.entity.AdsAnalysisHoppermodel;
import org.springblade.useranalysis.service.AdsAnalysisHoppermodelService;
import org.springframework.stereotype.Service;

/**
 * 用户行为分析-漏斗分析查询保存(AdsAnalysisHoppermodel)表服务实现类
 *
 * @author limeng
 * @since 2021-07-06 13:15:30
 */
@Service("adsAnalysisHoppermodelService")
@DS("user_analysis_db")
public class AdsAnalysisHoppermodelServiceImpl extends ServiceImpl<AdsAnalysisHoppermodelMapper, AdsAnalysisHoppermodel> implements AdsAnalysisHoppermodelService {

}
